## intel-microcode 2.20130906.1

=== debian/changelog ===
intel-microcode (2.20130906.1) unstable; urgency=high

  * New upstream microcode data file 20130906
    + Updated Microcodes:
      sig 0x000306c3, pf mask 0x32, 2013-08-07, rev 0x0016, size 20480
      sig 0x00040651, pf mask 0x72, 2013-08-08, rev 0x0016, size 19456
    + Updated Microcodes (recently removed):
      sig 0x000106e4, pf mask 0x09, 2013-07-01, rev 0x0003, size 6144
  * This microcode release *likely* fixes the security issues addressed by
    the 20130808 update for signature 0x106e4 (Xeon EC3500/EC5500/LC3500/
    LC5500, Jasper Forest core), which was missing from the 20130808 update
  * upstream changelog: trim down, sunrise now at 20080220, the first
    microcode pack with a license that allows redistribution
  * debian/control: recommend initramfs-tools (>= 0.113~) for backports
  * cpu-signatures.txt: Xeon nocona cores are 64-bit, ship for amd64 arch
  * source: remove superseded upstream data file: 20130808
  * postinst: fix kernel version check for blacklist
    Distro kernels have version strings that make it hard to get the real
    kernel version, so we have to blacklist by branches only.  We were
    refusing to update the kernel on postinst for users of Debian stable's
    kernel because of this issue

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 21 Sep 2013 20:35:47 -0300

intel-microcode (2.20130808.1) unstable; urgency=high

  * Reupload, high severity, no changes
  * Bump major version number.  I will need this so that I can track two
    separate branches for Wheezy: branch 1.x will target stable-updates (no
    early firmware support), while branch 2.x will target stable-backports,
    testing and unstable.  This major version bump should have been done for
    the 1.20130222.3 upload in hindsight.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 17 Aug 2013 10:56:45 -0300

intel-microcode (1.20130808.2) unstable; urgency=high

  * Reupload with high severity.  This microcode update has been documented
    by Intel to fix a severe security issue (refer to LP bug 1212497);
    This update is known to fix several nasty errata on 3rd-gen and
    4th-gen Core i3/i5/i7, and Xeon 5500 and later, including but not
    limited to:
    + AAK167/BT248: Virtual APIC accesses with 32-bit PAE paging
      may cause system crash
    + AAK170/BT246: The upper 32 bits of CR3 may be incorrectly used
      with 32-bit paging
  * Erratum AAK167/BT248 is nasty: "If a logical processor has EPT (Extended
    Page Tables) enabled, is using 32-bit PAE paging, and accesses the
    virtual-APIC page then a complex sequence of internal processor
    micro-architectural events may cause an incorrect address translation or
    machine check on either logical processor.  This erratum may result in
    unexpected faults, an uncorrectable TLB error logged in
    IA32_MCi_STATUS.MCACOD (bits [15:0]), a guest or hypervisor crash, or
    other unpredictable system behavior"

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 16 Aug 2013 21:10:12 -0300

intel-microcode (1.20130808.1) unstable; urgency=low

  * New upstream microcode data file 20130808
    + New Microcodes:
      sig 0x000306c3, pf mask 0x32, 2013-07-02, rev 0x0012, size 19456
      sig 0x000306e4, pf mask 0xed, 2013-06-13, rev 0x0415, size 11264
      sig 0x000306e6, pf mask 0xed, 2013-06-19, rev 0x0600, size 11264
      sig 0x00040651, pf mask 0x72, 2013-07-02, rev 0x0015, size 18432
    + Updated Microcodes (removed in the past):
      sig 0x000106a5, pf mask 0x03, 2013-06-21, rev 0x0019, size 10240
    + Updated Microcodes:
      sig 0x000106a4, pf mask 0x03, 2013-06-21, rev 0x0012, size 14336
      sig 0x000106e5, pf mask 0x13, 2013-07-01, rev 0x0006, size 7168
      sig 0x00020652, pf mask 0x12, 2013-06-26, rev 0x000e, size 8192
      sig 0x00020655, pf mask 0x92, 2013-06-28, rev 0x0004, size 3072
      sig 0x000206a7, pf mask 0x12, 2013-06-12, rev 0x0029, size 10240
      sig 0x000206d7, pf mask 0x6d, 2013-06-17, rev 0x0710, size 17408
      sig 0x000206f2, pf mask 0x05, 2013-06-18, rev 0x0037, size 13312
      sig 0x000306a9, pf mask 0x12, 2013-06-13, rev 0x0019, size 12288
    + Removed Microcodes:
      sig 0x000106e4, pf mask 0x09, 2010-03-08, rev 0x0002, size 5120
  * Remove from the source package an unused upstream microcode bundle,
    which has been completely superseded by later bundles:
    microcode-20130222.dat

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 15 Aug 2013 20:18:32 -0300

## intel-microcode 2.20140122.1~tanglu1

=== debian/changelog ===
intel-microcode (2.20140122.1~tanglu1) aequorea-updates; urgency=medium

  * Build for aequorea.

 -- Jon Severinsson <jon@severinsson.net>  Thu, 01 May 2014 10:00:00 +0200

intel-microcode (2.20140122.1) unstable; urgency=low

  * New upstream microcode data file 20140122
    + New Microcodes:
      sig 0x00040661, pf mask 0x32, 2013-08-21, rev 0x000f, size 23552
    + Updated Microcodes:
      sig 0x000106e5, pf mask 0x13, 2013-08-20, rev 0x0007, size 7168
      sig 0x000306c3, pf mask 0x32, 2013-08-16, rev 0x0017, size 20480
      sig 0x000306e4, pf mask 0xed, 2013-07-09, rev 0x0416, size 11264
      sig 0x00040651, pf mask 0x72, 2013-09-14, rev 0x0017, size 19456

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 01 Feb 2014 15:39:03 -0200

## intel-microcode 2.20140122.1

=== Makefile ===
PATH := $(PATH):/sbin:/usr/sbin
IUCODE_TOOL ?= iucode_tool
IUC_FLAGS := -vv
IUC_QUIET_FLAGS := -q
IUC_FINAL_FLAGS := -vv

# CUTDATE RANGE
# This filter selects what we consider to be old microcode which
# should still be shipped even if Intel dropped them.  Note that
# it is useless to ship microcodes for anything the distro doesn't
# really support anymore
#
# Watch out: check in the changelog, if this filter will add
# microcodes that look like they've been recalled, use IUC_EXCLUDE
# below to avoid shipping the probably recalled microcode.
# Last manual check: up to 2008-01-01
IUC_OLDIES_SELECT := "--date-before=2008-01-01"

# EXCLUDING MICROCODES:
# Always document reason.  See iucode_tool(8) for -s !<sig> syntax
# Recalls might require use of .fw overrides to retain old version,
# instead of exclusions.  Exclusions have the highest priority, and
# will remove microcode added by any other means, including override
# files (.fw files).
IUC_EXCLUDE :=

# 0x106c0: alpha hardware, seen in a very very old microcode data file
IUC_EXCLUDE += -s !0x106c0

# INCLUDING MICROCODES:
# This should be used to add a microcode from any of the microcode
# bundles, without the need for an override file. See iucode_tool(8)
# for -s <sig> syntax.  Always document the reason, as per IUC_EXCLUDE.
IUC_INCLUDE :=

# ##EXAMPLE ## DO NOT ENABLE##
# 0x106a5: Xeon X55xx: Intel recalled some errata fixes for unknown
# reasons, and then stopped shipping the microcode at rev 0x15.  HP ships
# revision 0x16 for their DL360/DL380 G6/G7 servers.  Supermicro ships
# revision 0x16 for their X8SAX/C7X58 motherboard.
#
# IUC_INCLUDE += -s 0x000106a5
# ##EXAMPLE##

# Keep sorting order predictable or things will break
export LC_COLLATE=C

MICROCODE_SOURCES   := $(sort $(wildcard microcode-*.dat microcode-*.bin))
MICROCODE_OVERRIDES := $(wildcard *.fw)

MICROCODE_FINAL_SOURCES := 
ifneq ($(IUC_OLDIES_SELECT),)
	MICROCODE_FINAL_SOURCES += microcode-oldies.pbin
endif
ifneq ($(IUC_INCLUDE),)
	MICROCODE_FINAL_SOURCES += microcode-extras.pbin
endif
MICROCODE_FINAL_SOURCES += $(lastword $(MICROCODE_SOURCES))
ifneq ($(MICROCODE_OVERRIDES),)
	MICROCODE_FINAL_SOURCES += microcode-overrides.pbin
endif

all: intel-microcode.bin intel-microcode-64.bin

#
# We have to build a list of microcode signatures for very old microcode
# that is likely to be droped as legacy from newer bundles, and then
# select the newest microcode available for each such signature.
#
microcode-oldies.pbin: $(MICROCODE_SOURCES)
	@echo
	@echo Building microcode bundle for older microcode...
	@$(IUCODE_TOOL) $(IUC_FLAGS) $(IUC_OLDIES_SELECT) \
		--loose-date-filtering --downgrade --overwrite -w "$@" $^

microcode-extras.pbin: $(MICROCODE_SOURCES)
	@echo
	@echo Building microcode bundle for extra microcode...
	@$(IUCODE_TOOL) $(IUC_FLAGS) -s! $(IUC_INCLUDE) --downgrade --overwrite -w "$@" $^

# The microcode overrides are bundled together to sort out any
# duplication and revision level issues.
microcode-overrides.pbin: $(MICROCODE_OVERRIDES)
	@echo
	@echo Preprocessing microcode overrides...
	@$(IUCODE_TOOL) $(IUC_FLAGS) --overwrite -w "$@" $^

# Final target
intel-microcode.bin: $(MICROCODE_FINAL_SOURCES)
	@echo
	@echo Building final microcode bundle...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) $(IUC_EXCLUDE) --downgrade --overwrite -w "$@" $^

intel-microcode-64.bin: intel-microcode.bin
	@echo
	@echo Building stripped-down microcode bundle for x86-64 and x32...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) $(shell sed -n -r -e '/^i.86/ { s/^[^ ]+ +/-s !/;s/ +\#.*//;p}' cpu-signatures.txt) $(IUC_EXCLUDE) --overwrite -w "$@" $^

distclean: clean
clean:
	rm -f intel-microcode-64.bin intel-microcode.bin microcode-overrides.pbin microcode-oldies.pbin microcode-extras.pbin

.PHONY: clean

=== debian/control ===
Source: intel-microcode
Section: non-free/admin
Priority: standard
Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Uploaders: Giacomo Catenazzi <cate@debian.org>
Build-Depends: debhelper (>= 7), iucode-tool (>= 0.9)
Standards-Version: 3.9.3
Homepage: http://feeds.downloadcenter.intel.com/rss/?p=483&lang=eng
Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
XS-Autobuild: yes

Package: intel-microcode
Architecture: i386 amd64
Depends: ${misc:Depends}, iucode-tool (>= 1.0)
Recommends: initramfs-tools (>= 0.113~)
Conflicts: microcode.ctl (<< 0.18~0)
Description: Processor microcode firmware for Intel CPUs
 This package contains updated system processor microcode for
 Intel i686 and Intel X86-64 processors.  Intel releases microcode
 updates to correct processor behavior as documented in the
 respective processor specification updates.
 .
 For AMD processors, please refer to the amd64-microcode package.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for intel-microcode
# Copyright (C) 2011,2012 by Henrique de Moraes Holschuh
# Published under the GNU GPL license version 2 or any later versions

PACKAGE := intel-microcode
DEBDIR  := $(CURDIR)/debian
PKGDIR  := $(DEBDIR)/$(PACKAGE)

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export PATH := $(PATH):/sbin:/usr/sbin
IUCODE_TOOL := iucode_tool

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS:.svn:.git

ifneq ($(DEB_HOST_ARCH),amd64)
IUCODE_FILE := intel-microcode.bin
else
IUCODE_FILE := intel-microcode-64.bin
endif

# Work around Debian bug #688794
INITRAMFS_NAME := $(subst -,_,$(subst +,_,$(subst .,_,$(PACKAGE))))

build-indep:

build-arch: build
build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# split microcode pack
	$(IUCODE_TOOL) -q --write-firmware="$(PKGDIR)/lib/firmware/intel-ucode" $(IUCODE_FILE)

	mkdir -p "$(PKGDIR)/usr/share/initramfs-tools/hooks"
	install -m 755 "$(DEBDIR)/initramfs.hook" \
		"$(PKGDIR)/usr/share/initramfs-tools/hooks/$(INITRAMFS_NAME)"
	mkdir -p "$(PKGDIR)/usr/share/initramfs-tools/scripts/init-premount"
	install -m 755 "$(DEBDIR)/initramfs.init-premount" \
		"$(PKGDIR)/usr/share/initramfs-tools/scripts/init-premount/$(INITRAMFS_NAME)"
	mkdir -p "$(PKGDIR)/etc/kernel/preinst.d"
	install -m 755 "$(DEBDIR)/$(PACKAGE).kpreinst" \
		"$(PKGDIR)/etc/kernel/preinst.d/$(PACKAGE)"

	# We have a /etc/default file, but no initscript
	install -m 644 "$(DEBDIR)/$(PACKAGE).default" "$(PKGDIR)/etc/default/$(PACKAGE)"

binary: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs changelog
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary-arch: binary

.PHONY: build clean binary install binary-arch binary-indep

## intel-microcode 2.20140624.1

=== debian/changelog ===
intel-microcode (2.20140624.1) unstable; urgency=high

  * New upstream microcode data file 20140624
    + Updated Microcodes:
      sig 0x000306a9, pf mask 0x12, 2014-05-29, rev 0x001b, size 12288
      sig 0x000306c3, pf mask 0x32, 2014-05-23, rev 0x001a, size 20480
      sig 0x000306e4, pf mask 0xed, 2014-05-29, rev 0x0428, size 13312
      sig 0x000306e7, pf mask 0xed, 2014-05-29, rev 0x070d, size 15360
      sig 0x00040651, pf mask 0x72, 2014-05-23, rev 0x0018, size 19456
      sig 0x00040661, pf mask 0x32, 2014-05-23, rev 0x0010, size 23552
    + High urgency: there are fast-tracked microcode updates in this
      release which imply that critical errata are being fixed
  * Intel strongly suggests that this CPU microcode update be applied
    to all Ivy Bridge, Haswell, and Broadwell processors (thanks to
    Canonical for the warning, refer to LP#1335156)
  * This update is reported to better fix the errata addressed by the
    20140430 update (refer to LP#1335156)
  * source: remove superseded upstream data file: 20140430

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 27 Jun 2014 16:35:12 -0300

intel-microcode (2.20140430.1) unstable; urgency=low

  * New upstream microcode data file 20140430
    + New microcodes:
      sig 0x000306e7, pf mask 0xed, 2014-04-14, rev 0x070c, size 15360
    + Updated microcodes:
      sig 0x000306e4, pf mask 0xed, 2014-04-10, rev 0x0427, size 12288
  * source: remove superseded upstream data file: 20140122

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 03 May 2014 14:21:27 -0300

## intel-microcode 2.20140913.1ubuntu2

=== debian/changelog ===
intel-microcode (2.20140913.1ubuntu2) utopic; urgency=medium

  * It appears microcode-20140913.dat introduced regressions(s)
    https://bugs.launchpad.net/intel/+bug/1370352/comments/3
    Deleted microcode-20140913.dat
    -LP: #1370352

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 17 Sep 2014 12:26:59 -0600

intel-microcode (2.20140913.1ubuntu1) utopic; urgency=medium

  * Fixes for Haswell platforms
    -LP: #1370352

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 17 Sep 2014 08:03:41 -0600

intel-microcode (2.20140624.1ubuntu1) utopic; urgency=medium

  * New upstream microcode data file 20140624 
    Additional update for 20140430 which has a better fix.
    -LP: #1335156

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 27 Jun 2014 08:39:57 -0600

## intel-microcode 3.20150121.1

=== debian/changelog ===
intel-microcode (3.20150121.1) unstable; urgency=critical

  * New upstream microcode data file 20150121
    * Downgraded microcodes (to a previously shipped revision):
      sig 0x000306f2, pf mask 0x6f, 2014-09-03, rev 0x0029, size 28672
    * The microcode downgrade fixes a very nasty regression on Xeon E5v3
      processors (closes: #776431)
  * critical urgency: the broken sig 0x306f2, rev 0x2b microcode shipped
    in release 20150107 caused CPU core hangs and Linux boot failures.
    The upstream fix was to downgrade it to the same microcode revision
    that was shipped in release 20140913
  * source: remove superseded upstream data file: 20150107.
  * initramfs.hook: do not mix arrays and lists.
    Avoid echo "foo $@", use echo "foo $*" instead.  This is unlikely
    to be expĺoitable, but it makes ShellCheck happier.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 28 Jan 2015 20:03:20 -0200

intel-microcode (3.20150107.1) unstable; urgency=high

  * New upstream microcode data file 20150107
    + New Microcodes:
      sig 0x000306d4, pf mask 0xc0, 2014-12-05, rev 0x0018, size 14336
    + Updated Microcodes:
      sig 0x000306f2, pf mask 0x6f, 2014-11-21, rev 0x002d, size 28672
    + High urgency: there are fast-tracked microcode updates in this
      release which imply that critical errata are being fixed
  * source: remove superseded upstream data file: 20140913

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 18 Jan 2015 00:30:11 -0200

intel-microcode (3.20140913.1) unstable; urgency=low

  * New upstream microcode data file 20140913
    + New Microcodes:
      sig 0x000306f2, pf mask 0x6f, 2014-09-03, rev 0x0029, size 28672
    + Updated Microcodes:
      sig 0x000306c3, pf mask 0x32, 2014-07-03, rev 0x001c, size 21504
      sig 0x00040651, pf mask 0x72, 2014-07-03, rev 0x001c, size 20480
      sig 0x00040661, pf mask 0x32, 2014-07-03, rev 0x0012, size 23552
    + WARNING: UNSAFE TO BE APPLIED AT RUNTIME (lp#1370352)
  * Microcode updates are now applied only through the early initramfs
    + Bump major version number
    + Requires Linux kernel v3.10 or later, other kernels unsupported
    + postinst: don't apply microcode update
    + kernel preinst: stop loading microcode module
    + modprobe.d: blacklist microcode module from autoloading outside
      of the initramfs.  Still load it inside the initramfs for logging
    + initramfs: always use early initramfs mode, reject kernels before
      v3.10
    + README.Debian, NEWS.Debian: update
  * add a microcode best-effort blacklist.  This is a reactive blacklist
    which renames problematic microcode data files in such a way they
    will only be used for the [early] initramfs.  Use it to blacklist
    all Haswell microcode updates
  * Allow a non-Intel box to generate an early initramfs with microcode
    for an Intel box if the /etc/default/intel-microcode defaults are
    changed:
    + postinst: always attempt to update the initramfs
    + initramfs: on auto mode, do nothing in a non-intel box. In
      forced "early" mode, attempt to run iucode-tool.  This will do
      nothing (add no microcode) unless the default configuration is
      changed in /etc/default/intel-microcode
    + default: update comments
  * source: remove superseded upstream data file: 20140624
  * README.source: remove information about lenny, oldstable
  * debian/control: bump standards vesion to 3.9.6
  * lintian-overrides: remove
  * debian/copyright: update upstream copyright dates
  * postrm: avoid use of test -a

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 19 Oct 2014 15:23:13 -0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Uploaders: Giacomo Catenazzi <cate@debian.org>
 Build-Depends: debhelper (>= 7), iucode-tool (>= 0.9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://feeds.downloadcenter.intel.com/rss/?p=483&lang=eng
 Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
 Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git

=== debian/rules ===
--- 
+++ 
@@ -46,18 +46,28 @@
 	# split microcode pack
 	$(IUCODE_TOOL) -q --write-firmware="$(PKGDIR)/lib/firmware/intel-ucode" $(IUCODE_FILE)
 
+	# apply best-effort blacklist
+	if [ -r debian/ucode-blacklist.txt ] ; then \
+		cat debian/ucode-blacklist.txt | while read -r fn crap ; do \
+			if [ -r "$(PKGDIR)/lib/firmware/intel-ucode/$${fn}" ] ; then \
+				mv "$(PKGDIR)/lib/firmware/intel-ucode/$${fn}" "$(PKGDIR)/lib/firmware/intel-ucode/$${fn}.initramfs" ;\
+				echo "Renaming blacklisted microcode $${fn}" ; \
+			fi ; \
+		done ; \
+	fi
+
 	mkdir -p "$(PKGDIR)/usr/share/initramfs-tools/hooks"
 	install -m 755 "$(DEBDIR)/initramfs.hook" \
 		"$(PKGDIR)/usr/share/initramfs-tools/hooks/$(INITRAMFS_NAME)"
-	mkdir -p "$(PKGDIR)/usr/share/initramfs-tools/scripts/init-premount"
-	install -m 755 "$(DEBDIR)/initramfs.init-premount" \
-		"$(PKGDIR)/usr/share/initramfs-tools/scripts/init-premount/$(INITRAMFS_NAME)"
 	mkdir -p "$(PKGDIR)/etc/kernel/preinst.d"
 	install -m 755 "$(DEBDIR)/$(PACKAGE).kpreinst" \
 		"$(PKGDIR)/etc/kernel/preinst.d/$(PACKAGE)"
 
 	# We have a /etc/default file, but no initscript
 	install -m 644 "$(DEBDIR)/$(PACKAGE).default" "$(PKGDIR)/etc/default/$(PACKAGE)"
+
+	# modprobe.d blacklist
+	install -m 644 "$(DEBDIR)/$(PACKAGE).modprobe-blacklist" "$(PKGDIR)/etc/modprobe.d/$(PACKAGE)-blacklist.conf"
 
 binary: install
 	dh_testdir

## intel-microcode 3.20151106.1

=== Makefile ===
PATH := $(PATH):/sbin:/usr/sbin
IUCODE_TOOL ?= iucode_tool
IUC_FLAGS := -vv
IUC_QUIET_FLAGS := -q
IUC_FINAL_FLAGS := -vv

# CUTDATE RANGE:
#
# This filter selects what we consider to be old microcode which
# should still be shipped even if Intel dropped them.  Note that
# it is useless to ship microcodes for anything the distro doesn't
# really support anymore
#
# Watch out: check in the changelog, if this filter will add
# microcodes that look like they've been recalled, use
# IUC_OLDIES_EXCLUDE to avoid shipping the probably recalled
# microcode.  Refer to IUC_EXCLUDE for IUC_OLDIES_EXCLUDE syntax.
#
# Last manual check: up to 2008-01-01
IUC_OLDIES_SELECT  := "--date-before=2008-01-01"
IUC_OLDIES_EXCLUDE :=

# EXCLUDING MICROCODES:
#
# Always document reason.  See iucode_tool(8) for -s !<sig> syntax
# Recalls might require use of .fw overrides to retain old version,
# instead of exclusions.  Exclusions have the highest priority, and
# will remove microcode added by any other means, including override
# files (.fw files).
IUC_EXCLUDE :=

# 0x106c0: alpha hardware, seen in a very very old microcode data file
IUC_EXCLUDE += -s !0x106c0

# INCLUDING MICROCODES:
#
# This should be used to add a microcode from any of the regular
# microcode bundles, without the need for an override file.  See
# iucode_tool(8) for -s <sig> syntax.  Always document the reason,
# as per IUC_EXCLUDE.
IUC_INCLUDE :=

# Keep sorting order predictable or things will break
export LC_COLLATE=C

MICROCODE_REG_SOURCES := $(sort $(wildcard microcode-*.dat microcode-*.bin))
MICROCODE_SUP_SOURCES := $(wildcard supplementary-ucode-*.bin)
MICROCODE_OVERRIDES   := $(wildcard *.fw)

MICROCODE_FINAL_REG_SOURCES :=
ifneq ($(IUC_OLDIES_SELECT),)
	MICROCODE_FINAL_REG_SOURCES += microcode-oldies.pbin
endif
ifneq ($(IUC_INCLUDE),)
	MICROCODE_FINAL_REG_SOURCES += microcode-extras.pbin
endif
MICROCODE_FINAL_REG_SOURCES += $(lastword $(MICROCODE_REG_SOURCES))

ifneq ($(MICROCODE_SUP_SOURCES),)
MICROCODE_FINAL_SOURCES := microcode-aux.pbin
else
MICROCODE_FINAL_SOURCES := $(MICROCODE_FINAL_REG_SOURCES)
endif
ifneq ($(MICROCODE_OVERRIDES),)
	MICROCODE_FINAL_SOURCES += microcode-overrides.pbin
endif

all: intel-microcode.bin intel-microcode-64.bin

# When looking for "old" microcodes that we should ship even if they
# are not in the latest regular microcode bundle anymore, we use a
# date filter to select *signatures* of microcodes that should be
# included (instead of directly selecting the microcode itself).
#
# Then, the "latest" microcode (in source file order, due to the use
# of downgrade mode) for each such signatures will be selected,
# regardless of the date on the microcode itself.

microcode-oldies.pbin: $(MICROCODE_REG_SOURCES)
	@echo
	@echo Preprocessing older regular microcode...
	@$(IUCODE_TOOL) $(IUC_FLAGS) \
		$(IUC_OLDIES_SELECT) $(IUC_OLDIES_EXCLUDE) \
		--loose-date-filtering --downgrade --overwrite -w "$@" $^

microcode-extras.pbin: $(MICROCODE_REG_SOURCES)
	@echo
	@echo Preprocessing extra regular microcode...
	@$(IUCODE_TOOL) $(IUC_FLAGS) -s! $(IUC_INCLUDE) \
		--downgrade --overwrite -w "$@" $^

# When there are supplementary microcode bundles, they must be merged
# with the regular microcode in a separate step, since all such
# microcodes must have the same precedence.  We use two intermediate
# bundles for this.
#
# The oldies and extra microcodes are bundled together with the latest
# regular microcode bundle in microcode-regular.pbin.  The precedence
# order for downgrading is:
#
#     oldies < extra < latest regular microcode bundle
#
# The precedence order won't matter for oldies and extra as they
# either have different microcode, or microcode with the same
# revision.
#
# Then, microcode-regular.pbin is merged with all supplementary
# microcode bundles, with the downgrade logic disabled in the
# microcode-aux.pbin target.  The result will be used by the final
# target.
#
# When there are no supplementary microcode updates, we can do all the
# merging with the downgrade logic active in a single go in the final
# target.

microcode-regular.pbin: $(MICROCODE_FINAL_REG_SOURCES)
	@echo
	@echo Building microcode bundle for regular microcode...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) --downgrade --overwrite -w "$@" $^

microcode-aux.pbin: microcode-regular.pbin $(MICROCODE_SUP_SOURCES)
	@echo
	@echo Merging regular and supplementary microcode bundles...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) --overwrite -w "$@" $^

# The microcode overrides are bundled together to sort out any
# duplication and revision level issues.
microcode-overrides.pbin: $(MICROCODE_OVERRIDES)
	@echo
	@echo Preprocessing microcode overrides...
	@$(IUCODE_TOOL) $(IUC_FLAGS) --overwrite -w "$@" $^

# Final target
intel-microcode.bin: $(MICROCODE_FINAL_SOURCES)
	@echo
	@echo Building final microcode bundle...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) $(IUC_EXCLUDE) \
		--downgrade --overwrite -w "$@" $^

intel-microcode-64.bin: intel-microcode.bin
	@echo
	@echo Building stripped-down microcode bundle for x86-64 and x32...
	@$(IUCODE_TOOL) $(IUC_FLAGS) \
		$(shell sed -n -r -e '/^i.86/ { s/^[^ ]+ +/-s !/;s/ +\#.*//;p}' cpu-signatures.txt) $(IUC_EXCLUDE) \
		--overwrite -w "$@" $^

distclean: clean
clean:
	rm -f intel-microcode-64.bin intel-microcode.bin
	rm -f microcode-overrides.pbin microcode-oldies.pbin microcode-extras.pbin microcode-regular.pbin microcode-aux.pbin

.PHONY: clean

=== debian/changelog ===
intel-microcode (3.20151106.1) unstable; urgency=medium

  * New upstream microcode data file 20151106
    + New Microcodes:
      sig 0x000306f4, pf mask 0x80, 2015-07-17, rev 0x0009, size 14336
      sig 0x00040671, pf mask 0x22, 2015-08-03, rev 0x0013, size 11264
    + Updated Microcodes:
      sig 0x000306a9, pf mask 0x12, 2015-02-26, rev 0x001c, size 12288
      sig 0x000306c3, pf mask 0x32, 2015-08-13, rev 0x001e, size 21504
      sig 0x000306d4, pf mask 0xc0, 2015-09-11, rev 0x0022, size 16384
      sig 0x000306f2, pf mask 0x6f, 2015-08-10, rev 0x0036, size 30720
      sig 0x00040651, pf mask 0x72, 2015-08-13, rev 0x001d, size 20480
    * This massive Haswell + Broadwell (and related Xeons) update fixes
      several critical errata, including the high-hitting BDD86/BDM101/
      HSM153(?) which triggers an MCE and locks the processor core
      (LP: #1509764)
    * Might fix critical errata BDD51, BDM53 (TSX-related)
  * source: remove superseded upstream data file: 20150121
  * Add support for supplementary microcode bundles:
    + README.source: update and mention supplementary microcode
    + Makefile: support supplementary microcode
      Add support for supplementary microcode bundles, which (unlike .fw
      microcode override files) can be superseded by a higher revision
      microcode from the latest regular microcode bundle.  Also, fix the
      "oldies" target to have its own exclude filter (IUC_OLDIES_EXCLUDE)
  * Add support for x32 arch:
    + README.source: mention x32
    + control,rules: enable building on x32 arch (Closes: #777356)
  * ucode-blacklist: add Broadwell and Haswell-E signatures
    Add a missing signature for Haswell Refresh (Haswell-E) to the "must
    be updated only by the early microcode update driver" list.  There is
    at least one report of one of the Broadwell microcode updates disabling
    TSX-NI, so add them as well just in case

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 09 Nov 2015 23:07:32 -0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 XS-Autobuild: yes
 
 Package: intel-microcode
-Architecture: i386 amd64
+Architecture: i386 amd64 x32
 Depends: ${misc:Depends}, iucode-tool (>= 1.0)
 Recommends: initramfs-tools (>= 0.113~)
 Conflicts: microcode.ctl (<< 0.18~0)

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,10 @@
 # DebHelper control
 export DH_ALWAYS_EXCLUDE=CVS:.svn:.git
 
-ifneq ($(DEB_HOST_ARCH),amd64)
+ifneq (,$(filter amd64 x32,$(DEB_HOST_ARCH)))
+IUCODE_FILE := intel-microcode-64.bin
+else
 IUCODE_FILE := intel-microcode.bin
-else
-IUCODE_FILE := intel-microcode-64.bin
 endif
 
 # Work around Debian bug #688794

## intel-microcode 3.20151106.2

=== debian/changelog ===
intel-microcode (3.20151106.2) unstable; urgency=medium

  * Makefile: make the build less verbose.
  * debian/changelog: fix error in past entry.
    Correct the version of the microcode that caused bug #776431,
    in the entry for version 3.20150121.1.
  * initramfs: don't force_load microcode.ko when missing.
    Detect a missing microcode.ko and don't attempt to force_load() it,
    otherwise we get spurious warnings at boot.  In verbose mode, log the
    fact that the microcode driver is modular.   For Linux 4.4 and later,
    skip the entire module loading logic, since the microcode driver cannot
    be modular for those kernels (closes: #814301).
  * initramfs: update copyright notice
  * initramfs: use iucode_tool -l for verbose mode
  * README.Debian: enhance and add recovery instructions.
    Rewrite large parts of the README.Debian document, and add recovery
    instructions (use of the "dis_ucode_ldr" kernel parameter).

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 17 Apr 2016 12:38:12 -0300

## intel-microcode 3.20160714.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 PATH := $(PATH):/sbin:/usr/sbin
 IUCODE_TOOL ?= iucode_tool
-IUC_FLAGS := -vv
-IUC_QUIET_FLAGS := -q
+IUC_FLAGS := -v
 IUC_FINAL_FLAGS := -vv
 
 # CUTDATE RANGE:

=== debian/changelog ===
intel-microcode (3.20160714.1) unstable; urgency=medium

  * New upstream microcode datafile 20160714
    + Updated Microcodes:
      sig 0x000306f4, pf mask 0x80, 2016-06-07, rev 0x000d, size 15360
      sig 0x000406e3, pf mask 0xc0, 2016-06-22, rev 0x009e, size 97280
      sig 0x000406f1, pf mask 0xef, 2016-06-06, rev 0xb00001d, size 25600
      sig 0x000506e3, pf mask 0x36, 2016-06-22, rev 0x009e, size 97280
    + This release hopefully fixes a hang when updating the microcode on
      some Skylake-U D-1/Skylake-Y D-1 (sig 0x406e3, pf 0x80) systems
  * source: remove superseded upstream data file: 20160607

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 21 Jul 2016 19:04:09 -0300

intel-microcode (3.20160607.2) unstable; urgency=low

  * REMOVE microcode:
    sig 0x000406e3, pf mask 0xc0, 2016-04-06, rev 0x008a, size 96256
    (closes: #828819)
  * The Core i7-6500U and m3-6Y30 processors (Skylake-UY D-1,
    sig=0x406e3, pf=0x80) may hang while attempting an early microcode
    update to revision 0x8a, apparently due to some sort of firmware
    dependency.  On affected systems, the only way to avoid the issue is
    to get a firmware update that includes microcode revision 0x8a or
    later.  At this time, there are reports of both sucessful and failed
    updates on the m3-6Y30, and only of failed updates on the i7-6500U.
    There are no reports about Skylake-U K-1 (pf=0x40).
  + WARNING: it is unsafe to use a system based on an Intel Skylake-U/Y
    processor with microcode earlier than revision 0x8a, due to several
    critical errata that cause unpredictable behavior, data corruption,
    and other problems.  Users *must* update their firmware to get
    microcode 0x8a or newer, and keep it up-to-date.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 08 Jul 2016 22:54:26 -0300

intel-microcode (3.20160607.1) unstable; urgency=medium

  * New upstream microcode data file 20160607
    + New Microcodes:
      sig 0x000406e3, pf mask 0xc0, 2016-04-06, rev 0x008a, size 96256
      sig 0x000406f1, pf mask 0xef, 2016-05-20, rev 0xb00001c, size 25600
      sig 0x00050662, pf mask 0x10, 2015-12-12, rev 0x000f, size 28672
      sig 0x000506e3, pf mask 0x36, 2016-04-06, rev 0x008a, size 96256
    + Updated Microcodes:
      sig 0x000306c3, pf mask 0x32, 2016-03-16, rev 0x0020, size 22528
      sig 0x000306d4, pf mask 0xc0, 2016-04-29, rev 0x0024, size 17408
      sig 0x000306f2, pf mask 0x6f, 2016-03-28, rev 0x0038, size 32768
      sig 0x000306f4, pf mask 0x80, 2016-02-11, rev 0x000a, size 15360
      sig 0x00040651, pf mask 0x72, 2016-04-01, rev 0x001f, size 20480
      sig 0x00040661, pf mask 0x32, 2016-04-01, rev 0x0016, size 24576
      sig 0x00040671, pf mask 0x22, 2016-04-29, rev 0x0016, size 11264
  * source: remove superseded upstream data file: 20151106.
  * control: change upstream URL to a search for "linux microcode"
    Unfortunately, many of the per-processor-model feeds have not been
    updated for microcode release 20160607.  Switch to the general search
    page as the upstream URL.
  * README.Debian: fix duplicated word 'to'

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 23 Jun 2016 12:17:03 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Giacomo Catenazzi <cate@debian.org>
 Build-Depends: debhelper (>= 7), iucode-tool (>= 0.9)
 Standards-Version: 3.9.6
-Homepage: http://feeds.downloadcenter.intel.com/rss/?p=483&lang=eng
+Homepage: https://downloadcenter.intel.com/search?keyword=linux+microcode
 Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
 Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
 XS-Autobuild: yes

## intel-microcode 3.20161104.1~deb8u1~bpo7+1

=== debian/changelog ===
intel-microcode (3.20161104.1~deb8u1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for Debian wheezy-backports (no changes)
    This is the same package as 3.20161104.1~deb8u1

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 15 Jan 2017 12:10:48 -0200

intel-microcode (3.20161104.1~deb8u1) stable; urgency=medium

  * This is the same package as 3.20161104.1 from unstable/testing and
    3.20161104.1~bpo8+1, from jessie-backports.  It has been present in
    unstable since 2016-11-09, testing since 2016-11-15, and jessie-backports
    since 2016-11-17.
  * STABLE RELEASE MANAGER INFORMATION:
    + Supposed to fix critical Intel TSX erratum BDE85 on Xeon-D 1500 Y0
    + Known to fix critical errata on several Xeon-D 1500 models which
      will crash vmware (KB2146388) and likely Linux as well
    + Fixes likely critical errata (which ones unknown) on Broadwell-E
      (Core extreme edition 5th gen, Xeon E5v4, Xeon E7v4)
    + Removes (very likely outdated) microcode for the C3500 and C5500 family
      of embedded Xeon (Jasper Forest).  These embedded Xeons are typically
      found on (older) network equipment appliances such as firewalls/IPS/IDS,
      and also on data storage devices, and thus are supposed to receive
      microcode updates through their vendors

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 16 Dec 2016 09:42:04 -0200

intel-microcode (3.20161104.1) unstable; urgency=medium

  * New upstream microcode datafile 20161104
    + New Microcodes:
      sig 0x00050663, pf_mask 0x10, 2016-10-12, rev 0x700000d, size 20480
      sig 0x00050664, pf_mask 0x10, 2016-06-02, rev 0xf00000a, size 21504
    + Updated Microcodes:
      sig 0x000306f2, pf_mask 0x6f, 2016-10-07, rev 0x0039, size 32768
      sig 0x000406f1, pf_mask 0xef, 2016-10-07, rev 0xb00001f, size 25600
    + Removed Microcodes:
      sig 0x000106e4, pf_mask 0x09, 2013-07-01, rev 0x0003, size 6144
    + This update fixes critical errata on Broadwell-DE V2/Y0 (Xeon
      D-1500 family), including one that can crash VMWare ESXi 6 with
      #PF (VMWare KB2146388), and could affect Linux as well.  This same
      issue was fixed for the E5v4 Xeons in release 20160607
    + This update fixes undisclosed (and likely critical) errata on
      Broadwell-E Core i7-68xxK/69xxK/6950X, Broadwell-EP/EX B0/R0/M0
      Xeon E5v4 and Xeon E7v4, and Haswell-EP Xeon E5v3
    + This release deletes the microcode update for the Jasper Forest
      embedded Xeons (Xeon EC35xx/LC35xx/EC35xx/LC55xx), for undisclosed
      reasons.  The deleted microcode is outdated when compared with the
      updates for the other Nehalem Xeons
  * Makefile: always exclude microcode sig 0x206c2 just in case
    Intel is quite clear in the Intel SA-00030 advisory text that recent
    revisions (0x14 and later?) of the 0x206c2 microcode updates must be
    installed along with updated SINIT ACM on vPro systems (i.e. through
    an UEFI/BIOS firmware update).  This is a defensive change so that we
    don't ship such a microcode update in the future by mistake
  * source: remove partially superseded upstream data file: 20160714
  * source: remove superseded upstream data file: 20101123
  * changelog: replace "pf mask" with "pf_mask"
  * control, compat: switch debhelper compatibility level to 9
  * control: bump standards-version, no changes required

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 09 Nov 2016 20:35:57 -0200

intel-microcode (3.20160714.1~deb8u1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for Debian wheezy-backports (no changes)
    This is the same package as 3.20160714.1~deb8u1

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 24 Sep 2016 09:03:03 -0300

intel-microcode (3.20160714.1~deb8u1) stable; urgency=medium

  * Rebuild for Debian jessie stable update (no changes)
  * STABLE RELEASE MANAGER INFORMATION:
    + This is the same package which is in unstable since 2016-07-22,
      and stretch (testing) and jessie-backports since 2016-07-28,
      with no issues reported
    + Contains updated microcode for:
      Skylake/H/DT, Broadwell/E/EP/H/DE/WS, Haswell/E/WS/EP/EX, and their
      usual variants (U/ULT,Y,S...): mobile, desktop, embedded, single-
      and dual-socket server/workstation.  Also includes related Pentium
      and Celeron
    + Somewhat unusually, this release includes an update for the
      multi-socket Haswell-EX E7-v3 Xeon server processors
    + Fixes critical issues on Intel Skylake processors, such as:
      - TSX unpredictable behavior
      - AVX data/calculation corruption
      - High-hitting crashes and hangs related to MCEs and power
        management errata that might make it impossible to even install
        Debian in the first place (systems with very outdated firmware)
    + Likely fixes a recently identified, critical but low-hitting TSX
      erratum on Broadwell, Broadwell-E and related Xeons
      (Broadwell-DE/WS/EP: Xeon-D 1500, E3-v4 and E5-v4)
    + Fix Broadwell-DE (Xeon-D 1500) errata (incomplete list):
      Stepping V-1: BDE58, BDE56, BDE55, BDE50, BDE44, BDE41, BDE38,
                    BDE10, BDE9, BDE8, BDE7
      Stepping Y-0: LAN1, BDE67, BDE68
    + Might fix Haswell-EP Xeon E5-v3 power management regression
      which is already present in the packages currently in jessie
      (#815990)
    + Fixes undisclosed errata on Xeon E7-v3 48xx/88xx

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 07 Aug 2016 21:48:59 -0300

intel-microcode (3.20160714.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 22 Jul 2016 20:39:26 -0300

intel-microcode (3.20160607.2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 16 Jul 2016 15:24:40 -0300

intel-microcode (3.20160607.1~bpo8+1) jessie-backports; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: standard
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Uploaders: Giacomo Catenazzi <cate@debian.org>
-Build-Depends: debhelper (>= 7), iucode-tool (>= 0.9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), iucode-tool (>= 0.9)
+Standards-Version: 3.9.8
 Homepage: https://downloadcenter.intel.com/search?keyword=linux+microcode
 Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
 Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
@@ -12,8 +12,7 @@
 
 Package: intel-microcode
 Architecture: i386 amd64 x32
-Depends: ${misc:Depends}, iucode-tool (>= 1.0)
-Recommends: initramfs-tools (>= 0.113~)
+Depends: ${misc:Depends}, iucode-tool (>= 1.0), initramfs-tools (>= 0.113~)
 Conflicts: microcode.ctl (<< 0.18~0)
 Description: Processor microcode firmware for Intel CPUs
  This package contains updated system processor microcode for

## intel-microcode 3.20161104.1

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,27 @@
 
 # 0x106c0: alpha hardware, seen in a very very old microcode data file
 IUC_EXCLUDE += -s !0x106c0
+
+# 0x206c2: Intel Westmere B1 (Xeon 3600, 5600, Core i7 2nd gen).
+#
+# When Intel released a fix for Intel SA-00030, they issued a MCU that
+# bumps the minimum acceptable version of the Intel TXT ACMs in the
+# TPM persistent storage.  This permanently blacklists the vulnerable
+# ACMs *even on older microcode* in order to make it somewhat harder
+# to work around the security fix through a BIOS downgrade attack.
+#
+# It is possible that such a microcode update, when peformed by the
+# operating system, could sucessfully trigger the TPM persistent
+# storage update Intel intended to happen during firmware boot: we
+# simply don't know enough to rule it out.  Should that happen, Intel
+# TXT will be permanently disabled.  This could easily interact very
+# badly with the firmware, rendering the system unbootable.  If *that*
+# happens, it would likely require either a TPM module replacement
+# (rendering sealed data useless) or a direct flash of a new BIOS with
+# updated ACMs, to repair.
+#
+# Blacklist updates for signature 0x206c2 as a safety net.
+IUC_EXCLUDE += -s !0x206c2
 
 # INCLUDING MICROCODES:
 #

## intel-microcode 3.20170511.1~bpo8+1

=== debian/changelog ===
intel-microcode (3.20170511.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 15 May 2017 15:34:34 -0300

intel-microcode (3.20170511.1) unstable; urgency=medium

  * New upstream microcode datafile 20170511
    + Updated Microcodes:
      sig 0x000306c3, pf_mask 0x32, 2017-01-27, rev 0x0022, size 22528
      sig 0x000306d4, pf_mask 0xc0, 2017-01-27, rev 0x0025, size 17408
      sig 0x000306f2, pf_mask 0x6f, 2017-01-30, rev 0x003a, size 32768
      sig 0x000306f4, pf_mask 0x80, 2017-01-30, rev 0x000f, size 16384
      sig 0x00040651, pf_mask 0x72, 2017-01-27, rev 0x0020, size 20480
      sig 0x00040661, pf_mask 0x32, 2017-01-27, rev 0x0017, size 24576
      sig 0x00040671, pf_mask 0x22, 2017-01-27, rev 0x0017, size 11264
      sig 0x000406e3, pf_mask 0xc0, 2017-04-09, rev 0x00ba, size 98304
      sig 0x000406f1, pf_mask 0xef, 2017-03-01, rev 0xb000021, size 26624
      sig 0x000506e3, pf_mask 0x36, 2017-04-09, rev 0x00ba, size 98304
    + This release fixes undisclosed errata on the desktop, mobile and
      server processor models from the Haswell, Broadwell, and Skylake
      families, including even the high-end multi-socket server Xeons
    + Likely fix the TSC-Deadline LAPIC errata (BDF89, SKL142 and
      similar) on several processor families
    + Fix erratum BDF90 on Xeon E7v4, E5v4(?) (closes: #862606)
    + Likely fix serious or critical Skylake errata: SKL138/144,
      SKL137/145, SLK149
    * Likely fix nightmare-level Skylake erratum SKL150.  Fortunately,
      either this erratum is very-low-hitting, or gcc/clang/icc/msvc
      won't usually issue the affected opcode pattern and it ends up
      being rare.
      SKL150 - Short loops using both the AH/BH/CH/DH registers and
      the corresponding wide register *may* result in unpredictable
      system behavior.  Requires both logical processors of the same
      core (i.e. sibling hyperthreads) to be active to trigger, as
      well as a "complex set of micro-architectural conditions"
  * source: remove unneeded intel-ucode/ directory
    Since release 20170511, upstream ships the microcodes both in .dat
    format, and as Linux-style split /lib/firmware/intel-ucode files.
    It is simpler to just use the .dat format file for now, so remove
    the intel-ucode/ directory. Note: before removal, it was verified
    that there were no discrepancies between the two microcode sets
    (.dat and intel-ucode/)
  * source: remove superseded upstream data file: 20161104

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 15 May 2017 15:12:25 -0300

intel-microcode (3.20161104.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 13 Nov 2016 20:31:01 -0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
 
 Package: intel-microcode
 Architecture: i386 amd64 x32
-Depends: ${misc:Depends}, iucode-tool (>= 1.0), initramfs-tools (>= 0.113~)
+Depends: ${misc:Depends}, iucode-tool (>= 1.0)
+Recommends: initramfs-tools (>= 0.113~)
 Conflicts: microcode.ctl (<< 0.18~0)
 Description: Processor microcode firmware for Intel CPUs
  This package contains updated system processor microcode for

## intel-microcode 3.20170707.1

=== debian/changelog ===
intel-microcode (3.20170707.1) unstable; urgency=high

  * New upstream microcode datafile 20170707
    + New Microcodes:
      sig 0x00050654, pf_mask 0x97, 2017-06-01, rev 0x2000022, size 25600
      sig 0x000806e9, pf_mask 0xc0, 2017-04-27, rev 0x0062, size 97280
      sig 0x000806ea, pf_mask 0xc0, 2017-05-23, rev 0x0066, size 95232
      sig 0x000906e9, pf_mask 0x2a, 2017-04-06, rev 0x005e, size 97280
    + This release fixes the nightmare-level errata SKZ7/SKW144/SKL150/
      SKX150 (Skylake) KBL095/KBW095 (Kaby Lake) for all affected Kaby
      Lake and Skylake processors: Skylake D0/R0 were fixed since the
      previous upstream release (20170511).  This new release adds the
      fixes for Kaby Lake Y0/B0/H0 and Skylake H0 (Skylake-E/X).
    + Fix undisclosed errata in Skylake H0 (0x50654), Kaby Lake Y0
      (0x806ea), Kaby Lake H0 (0x806e9), Kaby Lake B0 (0x906e9)
  * source: remove unneeded intel-ucode/ directory
  * source: remove superseded upstream data file: 20170511

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 08 Jul 2017 19:04:27 -0300
